Environment Copy - Copy Environment
Copy the environment from the specified source to the target.
POST https://api.powerplatform.com/environmentmanagement/environments/{targetEnvironmentId}/copy?api-version=2024-10-01
POST https://api.powerplatform.com/environmentmanagement/environments/{targetEnvironmentId}/copy?ValidateOnly={ValidateOnly}&ValidateProperties={ValidateProperties}&api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
target
|
path | True |
string |
The ID of the target environment that will be overwritten. |
|
api-version
|
query | True |
string |
The API version. |
|
Validate
|
query |
boolean |
When true, validates the request without executing it. Use with validateProperties to validate only specific fields. If validateProperties is empty, the entire request is validated. Defaults to false (validate and execute). |
|
|
Validate
|
query |
string |
A comma-separated list of property names to validate (for example, "property1,property2"). Applies only when validateOnly is true. |
Request Body
Media Types: "application/json", "text/json", "application/*+json"
| Name | Required | Type | Description |
|---|---|---|---|
| copyType | True |
Represents the type of copy operation. |
|
| sourceEnvironmentId | True |
string |
Source environment ID to copy from. |
| copyOptions |
Optional inputs for copy request. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
Accepted |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 429 Too Many Requests |
Too Many Requests |
|
| Other Status Codes |
Conflict |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Copy |
Request model for copying an environment. |
|
Copy |
Optional inputs for copy request. |
|
Copy |
Represents the type of copy operation. |
|
Field |
The error detail for a single field. |
|
Operation |
Structured error detail for a failed request. |
|
Validation |
Represents the response for validation of an operation. |
CopyRequest
Request model for copying an environment.
| Name | Type | Description |
|---|---|---|
| copyOptions |
Optional inputs for copy request. |
|
| copyType |
Represents the type of copy operation. |
|
| sourceEnvironmentId |
string |
Source environment ID to copy from. |
CopyRequestOptions
Optional inputs for copy request.
| Name | Type | Description |
|---|---|---|
| environmentNameToOverride |
string |
Environment name to override on target environment. |
| executeAdvancedCopyForFinanceAndOperations |
boolean |
Boolean flag to execute advanced copy for Finance and Operations data. |
| securityGroupIdToOverride |
string |
Security group ID to override on target environment. |
| skipAuditData |
boolean |
Boolean flag to skip audit data for copy. |
CopyType
Represents the type of copy operation.
| Value | Description |
|---|---|
| Minimal | |
| Full |
FieldError
The error detail for a single field.
| Name | Type | Description |
|---|---|---|
| errorMessages |
string[] |
The error messages describing what is wrong with the field. |
| suggestedValue |
string |
A suggested or accepted value that would resolve the error. |
OperationErrorDetail
Structured error detail for a failed request.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| fieldErrors |
<string,
Field |
Per-field error detail, keyed by field name. |
ValidationResponse
Represents the response for validation of an operation.
| Name | Type | Description |
|---|---|---|
| errorDetail |
Structured error detail for a failed request. |